%define	name	3ddesktop
%define	version	0.2.9
%define	cvsrel	cvs20040615
%define	rel	2
%define	release	%mkrel %{rel}
%define	Summary	OpenGL virtual desktop switcher

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/Other
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
#This might not be the best way, but..
Source2:	%{name}.sh.bz2
Patch0:		3ddesktop-0.2.9-x86_64.patch.bz2
URL:		http://desk3d.sourceforge.net/
Requires:	imlib2 >= 1.0.2
BuildRequires:	imlib2-devel >= 1.0.2 freetype-devel kdelibs-devel MesaGLU-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
3d Destkop is an OpenGL program for switching virtual desktops in a
seamless 3-dimensional manner. The current desktop is mapped into a 3D
space where you may choose other screens. When activated the current
desktop appears to zoom out into the 3D view.  Several different
visualization modes are available.
You might want to add a keybinding in your window manager for this one.

%prep
%setup -q
%patch0 -p0

%build
./autogen.sh
CXXFLAGS="$RPM_OPT_FLAGS -O3" \
%configure2_5x	--sysconfdir=%{_sysconfdir}/X11 \
		--disable-dependency-tracking \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-kde-includes=%{_includedir}

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_bindir}/%{name}; chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Toys" \
		  title="3d-Desktop"\
		  longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog TODO AUTHORS
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/digits.bmp
%{_mandir}/man1/*.1*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%config(noreplace) %{_sysconfdir}/X11/%{name}.conf

%changelog
* Fri Sep 16 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.9-2mdk
- Fix build on x86_64 (P0)

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.9-1mdk
- 0.2.9
- %%mkrel

* Fri Mar 18 2005 Erwan Velu <erwan@seanodes.com> 0.2.8-1mdk
- 0.2.8

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.7-0.cvs20040615.1mdk
- update from cvs to have things compile with gcc-3.4
- add -O3 to CXXFLAGS

* Sat May 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.6-1mdk
- 0.2.6
- don't bzip2 icons in src.rpm
- fix buildrequires (lib64..)

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.5-3mdk
- change summary macro to avoid possible conflicts if you were to build
  debug packages

* Thu Jun 19 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.5-2mdk
- fix path to qt3 (lib64 issues..)

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.5-1mdk
- 0.2.5
- fixed buildrequires

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.4-2mdk
- Added libMesaGLU1-devel to BuildRequires

* Mon Nov 24 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.4-1mdk
- 0.2.4

* Sun Nov 24 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.3-3mdk
- Opps, specify %dir %{_datadir}/%{name} in file list
- Don't use --fastest(yes, I did have som bad experiences;)

* Sun Nov 24 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.3-2mdk
- Kde support now working, compile bug fixed(patch #0)

* Sun Nov 24 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.3-1mdk
- Added kde stuff to configure(but failed to compile, disabled it for now)
- Added startup script
- Cleaned up a little
- Updated URL
- bzip2'ed source
- Corrected Summary
- Corrected Group
- Moved conf file into %{_sysconfdir}/X11
- Added menuitem and icons

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-0.1mdk

* Tue Aug 13 2002 wiget@pld-linux.org
- move 3ddesktop.spec to 3ddesktop.spec.in and make VERSION substitute automagicaly
- small changes for easy future development
